# $Revision: 1.6 $, $Date: 2005/04/23 14:52:48 $
Summary:	Tracker style MIDI sequencer
Summary(pl):	Sekwencer MIDI w stylu trackera
Name:		tutka
Version:	0.12.3
Release:	1
License:	GPL v2
Group:		Applications/Sound
Source0:	http://savannah.nongnu.org/download/tutka/%{name}-%{version}.tar.bz2
# Source0-md5:	083ca5148ce15939f58e7709ba612055
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-disable_schemas_install.patch
URL:		http://www.nongnu.org/tutka/
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libglade2-devel >= 2.4.2
BuildRequires:	libgnomeui-devel >= 2.6.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.16
BuildRequires:	pkgconfig
Requires(post,preun):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tutka is a free tracker style MIDI sequencer for GNU/Linux. It is
similar to programs like SoundTracker, ProTracker and FastTracker
except that it does not support samples and is meant for MIDI use
only.

%description -l pl
Tutka jest wolnym sekwencerem MIDI w stylu trackera dla GNU/Linuksa.
Przypomina programy jak SoundTracker, ProTracker i FastTracker z tym
e, przeznaczony jest wycznie do prac z MIDI, a nie z prbkami
dwikowymi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install tutka.schemas

%preun
%gconf_schema_install tutka.schemas

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tutka.spec,v $
Revision 1.6  2005/04/23 14:52:48  freetz
- 0.12.3, new style schemas {un,in}stall

Revision 1.5  2005/02/14 08:55:58  paladine
- updated to 0.12.1
- missing BR pkgconfig

Revision 1.4  2005/01/20 18:15:10  paladine
- updated to 0.12.0
- updated/fixed BRs
- license unification
- STBR

Revision 1.3  2004/10/29 14:04:43  paladine
- spelling fixes, unifications

Revision 1.2  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.1  2004/08/18 09:55:27  freetz
- initial release

